Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventDispatcher.RegisteredGlobalAuditSpecification

    java.lang.Object
      oracle.ifs.core.util.AuditEventDispatcher.RegisteredAuditSpecification
          oracle.ifs.core.util.AuditEventDispatcher.RegisteredGlobalAuditSpecification

Enclosing class:
  AuditEventDispatcher

    public final class AuditEventDispatcher.RegisteredGlobalAuditSpecification

extends AuditEventDispatcher.RegisteredAuditSpecification

A RegisteredGlobalAuditSpecification holds information about a registered instance of the "Global history" AuditSpecification.

Constructor Summary
`AuditEventDispatcher.RegisteredGlobalAuditSpecification(LibrarySession session, AuditSpecification auditSpec)` Constructs a RegisteredGlobalAuditSpecification.

Method Summary
`void` | `initialize(LibrarySession session, AuditSpecification auditSpec)` Initializes a RegisteredGlobalAuditSpecification.
`protected void` | `invalidateAllDomains(LibrarySession session)` Invalidates the cached audit type entries for all domains.
`protected void` | `invalidateDomain(LibrarySession session, long domainIdVal)` Invalidate the cached audit type entries for the specified domain.
`protected boolean` | `isEventApplicable(LibrarySession session, RawAuditEvent rawEvent)` Is the specified AuditEvent applicable to this AuditSpecification?

Methods inherited from class oracle.ifs.core.util.AuditEventDispatcher.RegisteredAuditSpecification
`getAuditEventPropertyTableName, getAuditEventTableName, getAuditSpecification, getAuditSpecificationId, getMinimumEventId, initialize, isAuditSpecificationActive, isHandlerNotifiedWhenEventsPosted, isPendingAuditEventDispatchRequests, setMinimumEventId, setPendingAuditEventDispatchRequests`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventDispatcher.RegisteredGlobalAuditSpecification

    public AuditEventDispatcher.RegisteredGlobalAuditSpecification(LibrarySession session,
                                                                   AuditSpecification auditSpec)
                                                            throws IfsException

  Constructs a RegisteredGlobalAuditSpecification.

  Parameters:
    `session` - the posted audit event
    `auditSpec` - the AuditSpecification
  Throws:
    `IfsException` - if the operation fails

Method Detail

### initialize

    public void initialize(LibrarySession session,
                           AuditSpecification auditSpec)
                    throws IfsException

  Description copied from class: `AuditEventDispatcher.RegisteredGlobalAuditSpecification`
  Initializes a RegisteredGlobalAuditSpecification.

  Overrides:
    `initialize` in class `AuditEventDispatcher.RegisteredAuditSpecification`
  Parameters:
    `session` - the posted audit event
    `auditSpec` - the AuditSpecification
  Throws:
    `IfsException` - if the operation fails

### isEventApplicable

    protected boolean isEventApplicable(LibrarySession session,
                                        RawAuditEvent rawEvent)

  Description copied from class: `AuditEventDispatcher.RegisteredGlobalAuditSpecification`
  Is the specified AuditEvent applicable to this AuditSpecification?

  Overrides:
    `isEventApplicable` in class `AuditEventDispatcher.RegisteredAuditSpecification`
  Parameters:
    `session` - the session context
    `rawEvent` - the raw event to check
  Returns:
    true if the specified event is applicable; false otherwise

### invalidateDomain

    protected void invalidateDomain(LibrarySession session,
                                    long domainIdVal)

  Description copied from class: `AuditEventDispatcher.RegisteredGlobalAuditSpecification`
  Invalidate the cached audit type entries for the specified domain.

  Parameters:
    `session` - the session context
    `domainIdVal` - the domain to invalidate

### invalidateAllDomains

    protected void invalidateAllDomains(LibrarySession session)

  Description copied from class: `AuditEventDispatcher.RegisteredGlobalAuditSpecification`
  Invalidates the cached audit type entries for all domains.

  Parameters:
    `session` - the session context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD